const mongoose = require('mongoose')
const timestamp = require('mongoose-timestamp')
const mongoosePaginate = require('mongoose-paginate-v2')

const notificationSchema = new mongoose.Schema({
  user_id: {
    type: mongoose.Schema.Types.ObjectId,
    ref: 'User', // مرجع به مدل کاربر
    required: true
  },
  project_post_id: {
    type: mongoose.Schema.Types.ObjectId,
    required: false
  },
  type: {
    type: String,
    required: true
  },
  title: {
    type: String,
    required: true
  },
  description: {
    type: String,
    required: true
  },
  read: {
    type: Boolean,
    default: false // وضعیت خوانده شده یا نشده
  }
})

notificationSchema.plugin(timestamp)
notificationSchema.plugin(mongoosePaginate)

const NotificationModel = mongoose.model('Notification', notificationSchema)
module.exports = NotificationModel
